org.opencv.photo

## Class CalibrateRobertson

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.photo.CalibrateCRF
    - - org.opencv.photo.CalibrateRobertson

-     public class CalibrateRobertson
      extends CalibrateCRF

  Inverse camera response function is extracted for each brightness value by minimizing an objective function as linear system. This algorithm uses all image pixels. For more information see CITE: RB99 .

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CalibrateRobertson(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CalibrateRobertson` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `int` | `getMaxIter()`
    `Mat` | `getRadiance()`
    `float` | `getThreshold()`
    `void` | `setMaxIter(int max_iter)`
    `void` | `setThreshold(float threshold)`

    - ### Methods inherited from class org.opencv.photo.CalibrateCRF

      `process`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CalibrateRobertson

          protected CalibrateRobertson(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static CalibrateRobertson __fromPtr__(long addr)

    - #### getRadiance

          public Mat getRadiance()

    - #### getThreshold

          public float getThreshold()

    - #### getMaxIter

          public int getMaxIter()

    - #### setMaxIter

          public void setMaxIter(int max_iter)

    - #### setThreshold

          public void setThreshold(float threshold)

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `CalibrateCRF`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7